Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations.email.formatting
Interface EmailTextFormatter

All Known Implementing Classes:
  JspEmailTextFormatter, StaticEmailTextFormatter

    public interface EmailTextFormatter

Interface for classes used to format email subject and body text.

The overview of community functionality contains a description of the community framework.

Method Summary
`void` | `destroy()` Called by `EmailInviter` implementations once they are completed using this `EmailTextFormatter`, giving the formatter an opportunity to do any necessary cleanup or to release resources obtained in init.
`EmailContent` | `getBody(Invitee i)` Get the email body text for the current `Invitee`
`EmailContent` | `getSubject(Invitee i)` Get the email subject text for the current `Invitee`
`void` | `init(InvitationDetails invitationDetails, String invitationURL)` Perform any one-time setup operations that need to be done such as obtaining resources that are needed during calls to getSubject and getBody

Method Detail

### init

    void init(InvitationDetails invitationDetails,
              String invitationURL)

  Perform any one-time setup operations that need to be done such as obtaining resources that are needed during calls to getSubject and getBody

  Parameters
    `invitationDetails` - the `InvitationDetails` for this invitation operation
    `invitationURL` - the URL to the registration page or the community for this invitation operation. Email messages should include this URL so that recipients can navigate to the inviting community.

### getSubject

    EmailContent getSubject(Invitee i)
                            throws IOException

  Get the email subject text for the current `Invitee`

  Parameters
    `i` - the current `Invitee`
  Returns
    subject text
  Throws
    `IOException`

### getBody

    EmailContent getBody(Invitee i)
                         throws IOException

  Get the email body text for the current `Invitee`

  Parameters
    `i` - the current `Invitee`
  Returns
    body text
  Throws
    `IOException`

### destroy

    void destroy()

  Called by `EmailInviter` implementations once they are completed using this `EmailTextFormatter`, giving the formatter an opportunity to do any necessary cleanup or to release resources obtained in init.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved